Summary:     Security Administrator Tool for Analyzing Networks
Name:	     satan
Version:     1.1.1.linux
Release:     3
Source0:     ftp://ftp.cs.ruu.nl/pub/SECURITY/satan-1.1.1.tar.Z
Patch0:	     satan-1.1.1.linux.fixed3.patch
Packager:    Gene Czarcinski <czar@acm.org>
Copyright:   distributable - Farmer, Venema, etc.
Group:	     Networking/Admin
Prefix:      /root
BuildRoot:   /tmp/satantmp
AutoReqProv: no
Requires:    yp-tools	>= 1.2
Requires:    perl	>= 5.004
Requires:    glibc	>= 2.0.6
Requires:    gcc	>= 2.7.2

%description
SATAN -- Security Administrator Tool for Analyzing Networks

SATAN is a network security scanner in common use to test devices
on a network for security vulnerabilities.  SATAN was created by
Dan Farmer and Wietse Venema.  The current base version of SATAN 
is satan-1.1.1.  This update incorporates the modifications 
necessary to run on Red Hat Linux 5.0 and includes changes from
previous Linux updates distributed as satan-1.1.1.Linux.tgz (considered 
Release 1) and satan-1.1.1.linux.fixed2.tgz from Kent Robotti 
<robotti@pop.erols.com> (considered as Release 2).

By default, the i386.rpm installs SATAN in /root/satan with NO binaries
being distributed.  Instead, the full source is installed and compilation
is performed at install-time.  Installation MUST be executed as root
and the satan directory is set to mode 700.  However, this package
is "relocatable" and the satan directory can be installed elsewhere
by specifying --prefix <path> when installing the i386 file.

Please note: Installation requires gcc, glibc, and other development
libraries.  

Once installed, be sure to read the documentation contained in
the satan directory.  If you do not "trust" the binaries
produced by the install process, simply follow the directions
in README-FIRST to recompile.

Please note:  The binary "rpcgen.satan" introducted in
satan-1.1.1.linux.fixed2.tgz is NOT part of this package.  The
rpcgen which is part of glibc 2.0 appears to work properly.

Please note: Execution requires some type of web browser such
as netscape, mosaic, lynx, etc.  If you are using netscape 
as the browser interface, be sure to read README-netscape.
This version of SATAN has been sucessfully run with netscape 
communicator 4.04 by the builder of this package.  To display the
man files, enter the satan directory and then execute man ./satan.8
or ./satan.man

Please note: This may work but has not been tested on architectures
other than i386 and operating systems other than Red Hat Linux 5.0.

Please note:  If re-installing, please be sure to save any local 
changes to files since the entire satan directory will be deleted
before installation.

%changelog

* Fri Jan 30 1998 Gene Czarcinski

- initial creation of an rpm for SATAN incorporating the changes
  from previous SATAN updates for Linux as well as the changes 
  necessary to run on Red Hat Linux 5.0 (that is, with glib).

%prep

%setup -n satan-1.1.1
%patch0 -p1

# now cleanup the old files
rm -vf *.orig
rm -vf bin/*.orig
rm -vf config/*.orig
rm -vf perl/*.orig
rm -vf src/fping/*.orig
rm -vf src/port_scan/*.orig

%build

# First, lets create a tar file for the clean, updated sources
# This is the actual (real) output of the build process and the
# input for install.

tar -vzcf satan-1.1.1.linux.tar.gz *

# Although the binaries generated by the following are not used,
# lets generate them anyway so that we are sure the package is OK.

echo Compile sources in BUILD to make sure they are good.
./reconfig
make linux

%install

mkdir -p $RPM_BUILD_ROOT/root/satan
chmod 700 $RPM_BUILD_ROOT/root/satan
install -m 644 satan-1.1.1.linux.tar.gz $RPM_BUILD_ROOT/root/satan

# since %post is not executed until actual processing of the i386 file,
# lets compile here to make sure our tar file is good.

cd $RPM_BUILD_ROOT/root/satan

echo During install, compile the sources to make sure they are good.

tar -vzxf satan-1.1.1.linux.tar.gz

# configure and compile SATAN on the installation system
./reconfig
make linux
# when done, this root should have a working SATAN


%pre

echo Delete any existing SATAN directory in $RPM_INSTALL_PREFIX
rm -fr $RPM_INSTALL_PREFIX/satan

%post

# Now install the complete set of SATAN source, doc, etc.
# This is executed during processing of the i386 file.

echo Setup the installation directory
chmod 700 $RPM_INSTALL_PREFIX/satan
cd $RPM_INSTALL_PREFIX/satan

echo Now install the entire set of SATAN files
tar -vzxf satan-1.1.1.linux.tar.gz

# configure and compile SATAN on the installation system
echo Now configure SATAN and compile the sources.
./reconfig
make linux
# when done, this root should have a working SATAN

%postun

echo Cleanup and delete all of the SATAN files
rm -fr $RPM_INSTALL_PREFIX/satan

%clean

rm -rf $RPM_BUILD_ROOT

%files
/root/satan/satan-1.1.1.linux.tar.gz

